// ======================================================================
//
// PaletteData_wu2.cpp
// jeff grills
//
// copyright 1996 origin systems inc
//
// ======================================================================

#include "first.h"
#include "PaletteData_wu2.h"

#include "Palette.h"
#include "gl_wu2.h"

#include "clut.h"

// ======================================================================

PaletteData_wu2::PaletteData_wu2(const Palette *pal)
{
	GL_wu2::makeClut(pal->getRGB(), pal->getEntries(), &mem, &clut);
}

// ----------------------------------------------------------------------

PaletteData_wu2::~PaletteData_wu2(void)
{
	delete [] mem;
	mem  = NULL;
	clut = NULL;
}

// ======================================================================
